﻿using System;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Chart;

namespace WindowsFormsApplication11
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ChartControl chart = new ChartControl();
            ChartSeries series = new ChartSeries();
            series.Type = ChartSeriesType.Line;
            series.Points.Add(19, 3);
            series.Points.Add(200, 7);
            series.Points.Add(2001, 12);
            series.Points.Add(10002, 18);
            series.Points.Add(20003, 22);
            series.Points.Add(50004, 30);
            series.Points.Add(102005, 40);
            series.Points.Add(130006, 50);
            series.Points[2].IsEmpty = true;
            chart.Series.Add(series);
            chart.PrimaryXAxis.ValueType = ChartValueType.Logarithmic;
            chart.PrimaryXAxis.LogBase = 10;
            this.Controls.Add(chart);
        }
    }
}
